<%
'   ***************************************************************
'   Sample 1
'	Save new images with special effect. All effects are associated
'	from the original image.
'   ***************************************************************
'   COPYRIGHT ADVANTYS 11/09/2001
'   ***************************************************************


'	Variables
'	*********
	Dim strPictureName
	Dim strFileName
	Dim oSmartImg
	strPictureName = Request("PICTURE_NAME")


	if strPictureName <> "" then

	'	Create a new File name from the original one
	'	********************************************
		strFileName =  Left(strPictureName,InStr(strPictureName,".")-1)

		Set oSmartImg = Server.CreateObject("aspSmartImage.SmartImage")


	'	Gamma Correction : Add more GREEN
	'	*********************************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Gamma 1,4,1
		Call oSmartImg.SaveFile(strFileName & "_gamma1.jpg")

	'	Gamma Correction : decrease brightness
	'	**************************************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Gamma 0.2,0.2,0.2
		Call oSmartImg.SaveFile(strFileName & "_gamma2.jpg")

	'	Gamma Correction : increase brightness
	'	**************************************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Gamma 4,4,4
		Call oSmartImg.SaveFile(strFileName & "_gamma3.jpg")

	'	Sharpen twice
	'	*************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Sharpen
		oSmartImg.Sharpen
		Call oSmartImg.SaveFile(strFileName & "_sharpen.jpg")

	'	Blur
	'	****
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Blur
		Call oSmartImg.SaveFile(strFileName & "_blur.jpg")

	'	Negativ
	'	*******
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Negative
		Call oSmartImg.SaveFile(strFileName & "_negative.jpg")

	'	GreyScale
	'	*********
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.GreyScale
		Call oSmartImg.SaveFile(strFileName & "_greyscale.jpg")

	'	Crop
	'	****
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Crop 20,20,70,70
		Call oSmartImg.SaveFile(strFileName & "_crop.jpg")

	'	Resample mainting aspect ratio
	'	******************************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Resample oSmartImg.OriginalWidth / 2,0
		Call oSmartImg.SaveFile(strFileName & "_resample1.jpg")

	'	Resample Width and Height
	'	*************************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Resample oSmartImg.OriginalWidth / 2,oSmartImg.OriginalHeight / 3
		Call oSmartImg.SaveFile(strFileName & "_resample2.jpg")

	'	90 Left rotate
	'	***************************************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.RotateLeft
		Call oSmartImg.SaveFile(strFileName & "_rotateleft.jpg")

	'	90 Right rotate
	'	***************************************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.RotateRight
		Call oSmartImg.SaveFile(strFileName & "_rotateright.jpg")

	'	Flip
	'	***************************************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Flip
		Call oSmartImg.SaveFile(strFileName & "_flip.jpg")

	'	Mirror
	'	***************************************
		oSmartImg.openFile cstr(strPictureName)
		oSmartImg.Mirror
		Call oSmartImg.SaveFile(strFileName & "_mirror.jpg")


		Set oSmartImg = Nothing
	End if


%>
<HTML>

<HEAD>
<TITLE>aspSmartImage</TITLE>
<STYLE>
BODY {font-family:Arial,Helvetica,font-size:10pt;}
.ExtraTitle {font-family:Verdana,Arial, Helvetica;font-size:9pt;}
.Title {font-size:22pt;font-family:Verdana,Arial, Helvetica;}
.ParaTitle {font-size:11pt;font-family:Arial, Helvetica;color:#F76108;}
.ParaText {font-size:9pt;font-family:Arial, Helvetica;}
</STYLE>
</HEAD>

<BODY>

<table border='0' cellpadding='0' cellspacing='0' width=570>
	<tr>
	<td><font class='ExtraTitle' color='#0033CC' size='2' face='Arial'><b>ASPSMARTIMAGE</b></font></td>

	</tr>
	<tr>
	<td><font class='Title' color='#0033CC' face='arial' size='6'><b>Sample 1</b></font></td></td>
	</tr>

	<tr>
	<td>
	<font class="ParaTitle" >This sample show you all the processing capabilities of the aspsmartImage component.</font><br>
	<font class="ParaText" >Enter the name of the source picture then click "Process picture". <br>
	A New picture will be saved for each process with the original strFileName and "_" the name of the process<br>
	For example :<br>
	<LI>demojpg_gamma1.jpg</LI>
	<LI>demojpg_gamma2.jpg</LI>
	<LI>demojpg_gamma3.jpg</LI>
	<LI>demojpg_sharpen.jpg</LI>
	<LI>demojpg_blur.jpg</LI>
	<LI>etc...</LI>
	</FONT>
	</td>
	</tr>

</table>
<br>

<FORM ACTION='<% = Request.ServerVariables("SCRIPT_NAME") %>' METHOD="POST">
<table border=0>
<tr>
<td valign='middle'><font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Please enter a file path name</font></td>
<td>
	<INPUT TYPE='TEXT' VALUE='/aspSmartImage/demo.jpg' NAME='PICTURE_NAME' SIZE=25>
	<INPUT TYPE='SUBMIT' VALUE='Process Picture'>
</Td>
</tr>
</table>
</FORM>

<br>

<%
	if strPictureName <> "" then
%>

<table>
	<tr>
		<td><IMG alt='oSmartImg.Gamma 1,4,1' SRC="<% = strPictureName %>"></td>
		<td>
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Orignal Picture</font><BR>
		</td>
	</tr>
</table>


<table>
	<tr>
		<td><IMG alt='oSmartImg.Gamma 1,4,1' SRC="<% = strFileName %>_gamma1.jpg"></td>
		<td>
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Gamma</font><BR>
		<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Gamma 1,4,1</font>
		</td>
	</tr>
</table>


<table>
	<tr>
		<td><IMG alt='oSmartImg.Gamma 0.2,0.2,0.2' SRC="<% = strFileName %>_gamma2.jpg"></td>
		<td>
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Gamma</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Gamma 0.2,0.2,0.2</font>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td><IMG alt='oSmartImg.Gamma 4,4,4' SRC="<% = strFileName %>_gamma3.jpg"></td>
		<td>
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Gamma</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Gamma 4,4,4</font>
		</td>
	</tr>
</table>


<table>
	<tr>
		<td><IMG alt='oSmartImg.Sharpen' SRC="<% = strFileName %>_sharpen.jpg"></td>
		<td>
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Sharpen</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Sharpen</font>
		</td>
	</tr>
</table>



<table>
	<tr>
		<td><IMG alt='oSmartImg.blur' SRC="<% = strFileName %>_blur.jpg"></td>
		<td>
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Blur</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Blur</font>
		</td>
	</tr>
</table>


<table>
	<tr>
		<td><IMG alt='oSmartImg.Negative' SRC="<% = strFileName %>_negative.jpg"></td>
		<td>
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Negative</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Negative</font>
		</td>
	</tr>
</table>


<table>
	<tr>
		<td><IMG alt='oSmartImg.GreyScale' SRC="<% = strFileName %>_greyscale.jpg"></td>
		<td>
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>GreyScale</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.GreyScale</font>
		</td>
	</tr>
</table>


<table>
	<tr>
		<td><IMG alt='oSmartImg.Crop 20,20,70,70' SRC="<% = strFileName %>_crop.jpg"></td>
		<td>
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Crop</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Crop 20,20,70,70</font>
		</td>
	</tr>
</table>





<table>
	<tr>
		<td ><IMG alt='oSmartImg.Resample oSmartImg.OriginalWidth / 2,0' SRC="<% = strFileName %>_resample1.jpg"></td>
		<td >
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Resample</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Resample oSmartImg.OriginalWidth / 2,0</font>
		</td>
	</tr>
</table>


<table>
	<tr>
		<td ><IMG alt='oSmartImg.Resample oSmartImg.OriginalWidth / 2,oSmartImg.OriginalHeight / 3' SRC="<% = strFileName %>_resample2.jpg"></td>
		<td >
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Resample</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Resample oSmartImg.OriginalWidth / 2,oSmartImg.OriginalHeight / 3</font>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td ><IMG alt='oSmartImg.RotateLeft ' SRC="<% = strFileName %>_rotateLeft.jpg"></td>
		<td >
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>RotateLeft</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.RotateLeft </font>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td ><IMG alt='oSmartImg.RotateRight ' SRC="<% = strFileName %>_rotateRight.jpg"></td>
		<td >
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>RotateRight</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.RotateRight </font>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td ><IMG alt='oSmartImg.Flip ' SRC="<% = strFileName %>_Flip.jpg"></td>
		<td >
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Flip</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Flip</font>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td ><IMG alt='oSmartImg.Mirror ' SRC="<% = strFileName %>_Mirror.jpg"></td>
		<td >
			<font class='ParaTitle' color='#000000' size='4' face='Verdana,Arial'>Mirror</font><BR>
			<font class='ParaText' size='2' face='Verdana,Arial'>oSmartImg.Mirror</font>
		</td>
	</tr>
</table>


<%
	End if
%>

</BODY>
</HTML>
